# SPDX-FileCopyrightText: Copyright (c) 2024 lbuque
#
# SPDX-License-Identifier: MIT

# components
HAComponentBinarySensor = "binary_sensor"
HAComponentButton = "button"
HAComponentCamera = "camera"
HAComponentCover = "cover"
HAComponentDeviceTracker = "device_tracker"
HAComponentDeviceAutomation = "device_automation"
HAComponentLock = "lock"
HAComponentNumber = "number"
HAComponentSelect = "select"
HAComponentSensor = "sensor"
HAComponentSwitch = "switch"
HAComponentTag = "tag"
HAComponentScene = "scene"
HAComponentFan = "fan"
HAComponentLight = "light"
HAComponentClimate = "climate"

# decorators
HASerializerSlash = "/"
HASerializerJsonDataPrefix = "{"
HASerializerJsonDataSuffix = "}"
HASerializerJsonPropertyPrefix = '"'
HASerializerJsonPropertySuffix = '":'
HASerializerJsonEscapeChar = '"'
HASerializerJsonPropertiesSeparator = ","
HASerializerJsonArrayPrefix = "["
HASerializerJsonArraySuffix = "]"
HASerializerUnderscore = "_"

# properties
HADeviceIdentifiersProperty = "ids"
HADeviceManufacturerProperty = "mf"
HADeviceModelProperty = "mdl"
HADeviceSoftwareVersionProperty = "sw"
HADeviceConfigurationUrlProperty = "cu"
HANameProperty = "name"
HAUniqueIdProperty = "uniq_id"
HAObjectIdProperty = "obj_id"
HADeviceProperty = "dev"
HADeviceClassProperty = "dev_cla"
HAStateClassProperty = "stat_cla"
HAIconProperty = "ic"
HARetainProperty = "ret"
HASourceTypeProperty = "src_type"
HAEncodingProperty = "e"
HAOptimisticProperty = "opt"
HAAutomationTypeProperty = "atype"
HATypeProperty = "type"
HASubtypeProperty = "stype"
HAForceUpdateProperty = "frc_upd"
HAUnitOfMeasurementProperty = "unit_of_meas"
HAValueTemplateProperty = "val_tpl"
HAOptionsProperty = "options"
HAMinProperty = "min"
HAMaxProperty = "max"
HAStepProperty = "step"
HAModeProperty = "mode"
HACommandTemplateProperty = "cmd_tpl"
HASpeedRangeMaxProperty = "spd_rng_max"
HASpeedRangeMinProperty = "spd_rng_min"
HABrightnessScaleProperty = "bri_scl"
HAMinMiredsProperty = "min_mirs"
HAMaxMiredsProperty = "max_mirs"
HATemperatureUnitProperty = "temp_unit"
HAMinTempProperty = "min_temp"
HAMaxTempProperty = "max_temp"
HATempStepProperty = "temp_step"
HAFanModesProperty = "fan_modes"
HASwingModesProperty = "swing_modes"
HAModesProperty = "modes"
HATemperatureCommandTemplateProperty = "temp_cmd_tpl"
HAPayloadOnProperty = "pl_on"
HAExpireAfterProperty = "exp_aft"

# topics
HAConfigTopic = "config"
HAAvailabilityTopic = "avty_t"
HATopic = "t"
HAStateTopic = "stat_t"
HACommandTopic = "cmd_t"
HAPositionTopic = "pos_t"
HAPercentageStateTopic = "pct_stat_t"
HAPercentageCommandTopic = "pct_cmd_t"
HABrightnessCommandTopic = "bri_cmd_t"
HABrightnessStateTopic = "bri_stat_t"
HAColorTemperatureCommandTopic = "clr_temp_cmd_t"
HAColorTemperatureStateTopic = "clr_temp_stat_t"
HACurrentTemperatureTopic = "curr_temp_t"
HAActionTopic = "act_t"
HAAuxCommandTopic = "aux_cmd_t"
HAAuxStateTopic = "aux_stat_t"
HAPowerCommandTopic = "pow_cmd_t"
HAFanModeCommandTopic = "fan_mode_cmd_t"
HAFanModeStateTopic = "fan_mode_stat_t"
HASwingModeCommandTopic = "swing_mode_cmd_t"
HASwingModeStateTopic = "swing_mode_stat_t"
HAModeCommandTopic = "mode_cmd_t"
HAModeStateTopic = "mode_stat_t"
HATemperatureCommandTopic = "temp_cmd_t"
HATemperatureStateTopic = "temp_stat_t"
HARGBCommandTopic = "rgb_cmd_t"
HARGBStateTopic = "rgb_stat_t"
HAJsonAttributesTopic = "json_attr_t"

# misc
HAOnline = "online"
HAOffline = "offline"
HAStateOn = "ON"
HAStateOff = "OFF"
HAStateLocked = "LOCKED"
HAStateUnlocked = "UNLOCKED"
HAStateNone = "None"
HATrue = "true"
HAFalse = "false"
HAHome = "home"
HANotHome = "not_home"
HATrigger = "trigger"
HAModeBox = "box"
HAModeSlider = "slider"

# covers
HAClosedState = "closed"
HAClosingState = "closing"
HAOpenState = "open"
HAOpeningState = "opening"
HAStoppedState = "stopped"

# commands
HAOpenCommand = "OPEN"
HACloseCommand = "CLOSE"
HAStopCommand = "STOP"
HALockCommand = "LOCK"
HAUnlockCommand = "UNLOCK"

# device tracker
HAGPSType = "gps"
HARouterType = "router"
HABluetoothType = "bluetooth"
HABluetoothLEType = "bluetooth_le"

# camera
HAEncodingBase64 = "b64"

# trigger
HAButtonShortPressType = "button_short_press"
HAButtonShortReleaseType = "button_short_release"
HAButtonLongPressType = "button_long_press"
HAButtonLongReleaseType = "button_long_release"
HAButtonDoublePressType = "button_double_press"
HAButtonTriplePressType = "button_triple_press"
HAButtonQuadruplePressType = "button_quadruple_press"
HAButtonQuintuplePressType = "button_quintuple_press"
HATurnOnSubtype = "turn_on"
HATurnOffSubtype = "turn_off"
HAButton1Subtype = "button_1"
HAButton2Subtype = "button_2"
HAButton3Subtype = "button_3"
HAButton4Subtype = "button_4"
HAButton5Subtype = "button_5"
HAButton6Subtype = "button_6"

# actions
HAActionOff = "off"
HAActionHeating = "heating"
HAActionCooling = "cooling"
HAActionDrying = "drying"
HAActionIdle = "idle"
HAActionFan = "fan"

# fan modes
HAFanModeAuto = "auto"
HAFanModeLow = "low"
HAFanModeMedium = "medium"
HAFanModeHigh = "high"

# swing modes
HASwingModeOn = "on"
HASwingModeOff = "off"

# HVAC modes
HAModeAuto = "auto"
HAModeOff = "off"
HAModeCool = "cool"
HAModeHeat = "heat"
HAModeDry = "dry"
HAModeFanOnly = "fan_only"

# other
HAHexMap = "0123456789abcdef"

# value templates
HAValueTemplateFloatP1 = "int(float(value)*10**1)}}"
HAValueTemplateFloatP2 = "int(float(value)*10**2)}}"
HAValueTemplateFloatP3 = "int(float(value)*10**3)}}"
HATemperatureUnitC = "C"
HATemperatureUnitF = "F"
